CVE-2017-18209

MEDIUM

Description

In the GetOpenCLCachedFilesDirectory function in magick/opencl.c in ImageMagick 7.0.7, a NULL pointer dereference vulnerability occurs because a memory allocation result is not checked, related to GetOpenCLCacheDirectory.

References

http://www.securityfocus.com/bid/103218

https://github.com/ImageMagick/ImageMagick/issues/790

https://lists.debian.org/debian-lts-announce/2020/09/msg00007.html

https://usn.ubuntu.com/3681-1/

Details

Source: MITRE

Published: 2018-03-01

Updated: 2020-09-08

Type: CWE-476

Risk Information

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.8

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:imagemagick:imagemagick:7.0.7-0:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-1:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-2:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-3:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-4:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-5:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-6:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-8:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-9:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-10:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-11:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-12:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-13:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-14:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-15:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-16:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-17:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-18:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-19:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-20:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-21:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-22:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-23:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-24:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7-25:*:*:*:*:*:*:*

cpe:2.3:a:imagemagick:imagemagick:7.0.7.7:*:*:*:*:*:*:*

Configuration 2

OR

cpe:2.3:o:canonical:ubuntu_linux:14.04:*:*:*:lts:*:*:*

cpe:2.3:o:canonical:ubuntu_linux:16.04:*:*:*:lts:*:*:*

cpe:2.3:o:canonical:ubuntu_linux:17.10:*:*:*:*:*:*:*

cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*

Tenable Plugins

View all (4 total)

IDNameProductFamilySeverity
140297Debian DLA-2366-1 : imagemagick security updateNessusDebian Local Security Checks
high
110516Ubuntu 14.04 LTS / 16.04 LTS / 17.10 / 18.04 LTS : ImageMagick vulnerabilities (USN-3681-1)NessusUbuntu Local Security Checks
high
108935openSUSE Security Update : ImageMagick (openSUSE-2018-343)NessusSuSE Local Security Checks
high
108824SUSE SLED12 / SLES12 Security Update : ImageMagick (SUSE-SU-2018:0857-1)NessusSuSE Local Security Checks
high